﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Plane.Copters
{
    /// <summary>
    /// 定义用于获取飞行器虚拟ID(主要用于无序摆放飞机，自动按位置计算当前飞机ID)
    /// </summary>
    public interface ICopterVirtualId
    {
        /// <summary>
        /// 获取自动排序生成的虚拟ID
        /// </summary>
        int VirtualId { get; set; }


        /// <summary>
        /// 是否展示虚拟ID: true:显示虚拟ID；false：显示Name
        /// </summary>
        bool DisplayVirtualId { get; set; }

        /// <summary>
        /// 是否展示ID: true:显示ID；false：显示Name
        /// </summary>
        bool DisplayID { get; set; }
    }

}
