﻿using System.Threading.Tasks;

namespace Plane.Copters
{
    public partial class PLCopter
    {
        /// <summary>
        /// 暴露内部的 <see cref="PlaneCopter"/> 实例。
        /// </summary>
        public PlaneCopter InternalCopter { get { return _internalCopter; } }

        /// <summary>
        /// // 林俊清, 20160122, 不明确。目测是发送重启命令，在刷固件之前用到。
        /// </summary>
        /// <param name="bootloaderMode"></param>
        /// <returns>表示此命令异步发送操作的 <see cref="Task"/> 实例。</returns>
        public Task RebootAsync(bool bootloaderMode = false)
        {
            return _internalCopter.RebootAsync(bootloaderMode);
        }
    }
}
